Subject: Re: I still use git whatchanged

From: "Kristoffer Haugsbakk" <[email-masked]>
Date: Mon, 05 Jan 2026 20:23:26 +0100

On Mon, Jan 5, 2026, at 19:05, Wayne Rowcliffe wrote:
> I tried using git whatchanged, which I use probably daily, and it said
> I needed to send you an email that I use it.
>
> It's very handy for figuring out what files changed in a commit.

This command is being removed because it was supplanted by git-log(1) a
long while ago. Both commands use the same machinery, just with
different defaults.

You can replace it with `git log` in this way:

• Given: `git whatchanged <opts>`
• Replace with: `git log <opts> --no-merges --raw`

Additionally for the sake of readability, you might have more
use for `--stat` or `--name-only` rather than `--raw` if you are only
reading the output (not feding the output to another program).